Instalar ou Atualizar PHP 5.6 no Ubuntu 14

Recentemente, criei um ambiente com o Vagrant e instalei o PHP 5.6. No momento da escrita deste tutorial, o PHP 5.6 ainda não é padrão no Ubuntu 14.04 e 14.10, então precisei recorrer aos repositórios de terceiros.
IMPORTANTE: Não use esse procedimento para ambientes de produção, somente para ambientes de desenvolvimento!

Leia mais